#!/usr/bin/perl

use warnings;
use strict;

use XML::LibXML;

my $parser = XML::LibXML->new;
my $dtd    = XML::LibXML::Dtd->new( 'SOMEANOTHER // Public / ID / 1.0', 'html.dtd' );

my $doc;
eval { $doc = $parser->parse_file( 'test.html' ) };
eval { $doc->validate( $dtd ) };

if ( !$doc->is_valid ) {
	print "Invalid Document: $@\n";
} else {
	print "Document successfully validated!\n";
}

